--cam.on()

metralleta=timer.new()
tira={}
for i=1,5 do
tira[i]=""
end


function iniciar_cam()
if cam.status() then cam.off()
else
cam.start()
end
end

function GOCAM()
espera=timer.new()
espera:start()
puntos_cam="."
contador_puntos=1
liberar(3)
actual=10
while true do
img_escritorio[fondo_escritorio]:blend(0,0,200)
screen.print(pspfont,240,130,loading2,1.2,rojo,blanco,"center")
screen.print(pspfont,220,160,puntos_cam,1.2,rojo,blanco)

if contador_puntos<2 then puntos_cam="." end
if contador_puntos>2 and contador_puntos<3 then puntos_cam=".." end
if contador_puntos>3 then puntos_cam="..." end
if contador_puntos>4 then contador_puntos=1 end

contador_puntos=contador_puntos+0.05

if espera:time()>3000 then camara() end
screen.flip()
end
end

function camara()
iniciar_cam()
captura=""
fotografiando=false

while true do
controls.read()
screen.clear(blanco)

if cam.status() then
	cam.blit(0,0)
	if controls.press("triangle")  then fotografiando=true end
	if controls.press("circle") and metralleta:time()<10 then metralleta:start() end
else
	img_escritorio[fondo_escritorio]:blend(0,0,200)
	screen.print(pspfont,240,130,please,1.2,rojo,blanco,"center")
	if controls.press("cross") then cam.on() GOCAM() end
end


if controls.press("r") then actual=actual+1 elseif controls.press("l") then actual=actual-1 end
if actual>10 then actual=1 elseif actual<1 then actual=10 end
if actual!=10 then 
	marco[actual]:blit(0,0) 
end



if metralleta:time()>400 and metralleta:time()<700 then tira[1]=screen.toimage() end
if metralleta:time()>1400 and metralleta:time()<1700 then tira[2]=screen.toimage() end
if metralleta:time()>2400 and metralleta:time()<2700 then tira[3]=screen.toimage() end
if metralleta:time()>3400 and metralleta:time()<3700 then tira[4]=screen.toimage() end
if metralleta:time()>4400 and metralleta:time()<4700 then tira[5]=screen.toimage() end

screen.flip()

if metralleta:time()>4600 then 
screen.clear(negro)
screen.flip()
if keyboard==1 then name_captura=teclado(1,"Nombre de las imagenes",30,"") else name_captura = os.osk("Nombre de las imagenes","",30,1,0) end
os.message("Guardando tiras de imágenes. Este proceso puede durar unos segundos")

screen.print(20,20,imeg.."1"..exito,1,rojo,0)
screen.flip() 
tira[1]:save("ms0:/BASE/"..name_captura.."1.png")

screen.print(20,20,imeg.."1"..exito,1,rojo,0)
screen.print(20,20,imeg.."2"..exito,1,rojo,0)
screen.flip() 
tira[2]:save("ms0:/BASE/"..name_captura.."2.png")

screen.print(20,20,imeg.."1"..exito,1,rojo,0)
screen.print(20,20,imeg.."2"..exito,1,rojo,0)
screen.print(20,20,imeg.."3"..exito,1,rojo,0)
screen.flip() 
tira[3]:save("ms0:/BASE/"..name_captura.."3.png")

screen.print(20,20,imeg.."1"..exito,1,rojo,0)
screen.print(20,20,imeg.."2"..exito,1,rojo,0)
screen.print(20,20,imeg.."3"..exito,1,rojo,0)
screen.print(20,20,imeg.."4"..exito,1,rojo,0)
screen.flip() 
tira[4]:save("ms0:/BASE/"..name_captura.."4.png")

screen.print(20,20,imeg.."1"..exito,1,rojo,0)
screen.print(20,20,imeg.."2"..exito,1,rojo,0)
screen.print(20,20,imeg.."3"..exito,1,rojo,0)
screen.print(20,20,imeg.."4"..exito,1,rojo,0)
screen.print(20,20,imeg.."5"..exito,1,rojo,0)
screen.flip() 
tira[5]:save("ms0:/BASE/"..name_captura.."5.png")

metralleta:reset()
metralleta:stop()
end

if fotografiando then 
	captura = screen.toimage ()
	if keyboard==1 then name_captura=teclado(1,"Nombre de las imagenes",30,"") else name_captura = os.osk("Nombre de las imagenes","",30,1,0) end
	captura:save("ms0:/BASE/"..name_captura..".png")
	fotografiando=false
end

if controls.start() then sistema("GoCam") end
salvapantallas()

end
end